<?php
//-----Создаем титл страницы-----//
$title = 'Нарушения/Бан';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');
//-----Если гость,то...----//
if(!$user['id']) {
header('Location: /index.php');
exit();
}

$id = abs(intval($_GET['id']));
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

switch($_GET['act'])
{
default:

if($ank == 0) {
echo '<div class="title">Нарушения | Ошибка</div><div class="podmenu"><center><b>Такого пользователя не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><center>Нарушения пользователя '.$ank['login'].'</center></div>';
#####################################
$n = mysql_result(mysql_query("SELECT COUNT(id) FROM `nar` WHERE `komy` = '$ank[id]'"),0); 


if(empty($n)){
echo '<div class="podmenu"><center><b><font color="red">У пользователя нет нарушений</center></b></font></div>';
}

$nar = mysql_query("SELECT * FROM `nar` WHERE `komy` = '".$id."' ORDER BY `time` DESC LIMIT 10");
while($a = mysql_fetch_assoc($nar))
{
echo '<div class="podmenu">';

if($a['tip'] == 1){  echo 'Тип пенализации:<b> нарушение</b><br>';}
elseif($a['tip'] == 2){ echo 'Тип пенализации:<b> предупреждение</b><br>';}
elseif($a['tip'] == 3){ echo 'Тип пенализации:<b> бан</b><br>';}
echo 'Применил: '.nick($a['kto']).' <br>';
if($a['tip'] == 3){
echo 'Дата освобождение: '.vremja($a['time']).' <br>';
}
echo 'Причина: <b>'.$a['prichina'].'</b> <br>
Комментарий: '.smile(bb($a['kom'])).'<br>';
if($a['link']) 
{
echo 'Ссылка на тему: '.bb($a['link']).'<br>';
}



if($user['level'] >= 2) { echo ' [<a href="'.$HOME.'/delnar'.$a['id'].'">удалить</a>]';
if($a['tip'] >= 3) echo ' [<a href="'.$HOME.'/panel/ban/list/updateban'.$ank['id'].'">освободить</a>]';

}
echo '</div>';
}



#####################################
if($ank == 0 or $id == 1 || $ank['id'] == $user['id']) {
if($id != $user['id']){

require_once ('../system/footer.php'); exit;
}
}
if($user == 0 or $id == 1 || $user['id'] == $user['id']) {
if($user['level'] >= 1) {
if($user['id'] != $ank['id']) 
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));
echo '<div class="podmenu">Выдать нарушение</div>';
echo '<div class="podmenu"><a href="/panel/ban/list/addban'.$ank['id'].'">Выдать бан</a></div>';


if(isset($_REQUEST['submit'])) {

if($user['id'] != $ank['id']) 
{
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'выдал Вам [url=".$HOME."/user/nar.php?id=".$ank['id']."]нарушение[/url]'");
}


$prichina = strong($_POST['prichina']);
$kom = strong($_POST['kom']);
$link = strong($_POST['link']);
$tip = strong($_POST['tip']);
//-----Проверяем длину ввода-----//
if(mb_strlen($prichina) > 99999 or mb_strlen($prichina) < 3){
echo '<div class="podmenu"><center><b>Введите причину от 3 до 250 символов!</b></center></div>';
//-----Подключаем низ-----//
echo '<a href="/nar'.$id.'"><div class="anketa"> Назад</a></div>';
require_once ('../system/footer.php');
exit();
}

$uss = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$ank['id']."'"));
mysql_query("INSERT INTO `nar` SET `prichina` = '".$prichina."', `kom` = '".$kom."', `tip` = '".$tip."', `link` = '".$link."', `time` = '".time()."', `komy` = '".$ank[id]."', `kto` = '".$user[id]."' ");
mysql_query("UPDATE `users` SET `rating` = '".($ank['rating']-0.03)."' WHERE `id` = '$ank[id]' LIMIT 1");
header('Location: '.$HOME.'/nar'.$id.'');
}

echo '<div class="podmenu"><form action="" method="POST">
Причина:<br> <input type="text" name="prichina" /> <br />
Ссылка (если есть):<br> <input type="text" name="link" /> <br />
Тип пенализации:<br><select name="tip">';
$dat = array('нарушение' => '1', 'предупреждение' => '2');
foreach ($dat as $key => $value) { 
echo ' <option value="'.$value.'"'.($value == $a['tip'] ? ' selected="selected"' : '') .'>'.$key.'</option>'; 
}
echo '</select><br/>';
echo '
Комменарий:<br> <input type="text" name="kom" /> <br />
<input type="submit" name="submit" value="Выдать нарушение" />
</form></div>';

}
}
}
echo '<div class="podmenu"><a href="'.$HOME.'/profile/'.$ank['login'].'">На страницу к '.$ank['login'].'</a></div>';
break;

case 'delmsg':

$id = abs(intval($_GET['id']));
$nar = mysql_fetch_assoc(mysql_query("SELECT * FROM `nar` WHERE `id` = '".$id."'"));
$komy = mysql_fetch_assoc(mysql_query("SELECT * FROM `nar` WHERE `komy` = '".$nar['komy']."'"));

if($nar == 0) {
echo '<div class="title">Нарушения | Ошибка</div><div class="podmenu"><center><b>Такого нарушения не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] >= 1) {
mysql_query("DELETE FROM `nar` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/nar'.$nar['komy'].'');
exit();
} else {
header('Location: '.$HOME.'/nar'.$nar['komy'].'');
exit();
}
break;
}
//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>


